Uniform (Colt 1.2.0 - API Specification)
Keywords: cern.jet.random.Uniform class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.jet.random
Class Uniform

    java.lang.Object
      cern.colt.PersistentObject
          cern.jet.random.AbstractDistribution
              cern.jet.random.AbstractContinousDistribution
                  cern.jet.random.Uniform

All Implemented Interfaces:
  Cloneable, DoubleFunction, IntFunction, Serializable

public class Uniform
extends AbstractContinousDistribution

Uniform distribution; Math definition and animated definition.

Instance methods operate on a user supplied uniform random number generator; they are unsynchronized.

Static methods operate on a default uniform random number generator; they are synchronized.

Version:
  1.0, 09/24/99
See Also:
  Serialized Form

Field Summary

Fields inherited from class cern.colt.PersistentObject
`serialVersionUID`

Constructor Summary
`Uniform(double min, double max, int seed)` Constructs a uniform distribution with the given minimum and maximum, using a `MersenneTwister` seeded with the given seed.
`Uniform(double min, double max, RandomEngine randomGenerator)` Constructs a uniform distribution with the given minimum and maximum.
`Uniform(RandomEngine randomGenerator)` Constructs a uniform distribution with `min=0.0` and `max=1.0`.

Method Summary
`double` | `cdf(double x)` Returns the cumulative distribution function (assuming a continous uniform distribution).
`boolean` | `nextBoolean()` Returns a uniformly distributed random `boolean`.
`double` | `nextDouble()` Returns a uniformly distributed random number in the open interval `(min,max)` (excluding `min` and `max`).
`double` | `nextDoubleFromTo(double from, double to)` Returns a uniformly distributed random number in the open interval `(from,to)` (excluding `from` and `to`).
`float` | `nextFloatFromTo(float from, float to)` Returns a uniformly distributed random number in the open interval `(from,to)` (excluding `from` and `to`).
`int` | `nextInt()` Returns a uniformly distributed random number in the closed interval `[min,max]` (including `min` and `max`).
`int` | `nextIntFromTo(int from, int to)` Returns a uniformly distributed random number in the closed interval `[from,to]` (including `from` and `to`).
`long` | `nextLongFromTo(long from, long to)` Returns a uniformly distributed random number in the closed interval `[from,to]` (including `from` and `to`).
`double` | `pdf(double x)` Returns the probability distribution function (assuming a continous uniform distribution).
`void` | `setState(double min, double max)` Sets the internal state.
`static boolean` | `staticNextBoolean()` Returns a uniformly distributed random `boolean`.
`static double` | `staticNextDouble()` Returns a uniformly distributed random number in the open interval `(0,1)` (excluding `0` and `1`).
`static double` | `staticNextDoubleFromTo(double from, double to)` Returns a uniformly distributed random number in the open interval `(from,to)` (excluding `from` and `to`).
`static float` | `staticNextFloatFromTo(float from, float to)` Returns a uniformly distributed random number in the open interval `(from,to)` (excluding `from` and `to`).
`static int` | `staticNextIntFromTo(int from, int to)` Returns a uniformly distributed random number in the closed interval `[from,to]` (including `from` and `to`).
`static long` | `staticNextLongFromTo(long from, long to)` Returns a uniformly distributed random number in the closed interval `[from,to]` (including `from` and `to`).
`static void` | `staticSetRandomEngine(RandomEngine randomGenerator)` Sets the uniform random number generation engine shared by all static methods.
`String` | `toString()` Returns a String representation of the receiver.

Methods inherited from class cern.jet.random.AbstractDistribution
`apply, apply, clone, makeDefaultGenerator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Uniform

    public Uniform(double min,
                   double max,
                   int seed)

  Constructs a uniform distribution with the given minimum and maximum, using a `MersenneTwister` seeded with the given seed.

### Uniform

    public Uniform(double min,
                   double max,
                   RandomEngine randomGenerator)

  Constructs a uniform distribution with the given minimum and maximum.

### Uniform

    public Uniform(RandomEngine randomGenerator)

  Constructs a uniform distribution with `min=0.0` and `max=1.0`.

Method Detail

### cdf

    public double cdf(double x)

  Returns the cumulative distribution function (assuming a continous uniform distribution).

### nextBoolean

    public boolean nextBoolean()

  Returns a uniformly distributed random `boolean`.

### nextDouble

    public double nextDouble()

  Returns a uniformly distributed random number in the open interval `(min,max)` (excluding `min` and `max`).

  Specified by:
    `nextDouble` in class `AbstractDistribution`

### nextDoubleFromTo

    public double nextDoubleFromTo(double from,
                                   double to)

  Returns a uniformly distributed random number in the open interval `(from,to)` (excluding `from` and `to`). Pre conditions: `from <= to`.

### nextFloatFromTo

    public float nextFloatFromTo(float from,
                                 float to)

  Returns a uniformly distributed random number in the open interval `(from,to)` (excluding `from` and `to`). Pre conditions: `from <= to`.

### nextInt

    public int nextInt()

  Returns a uniformly distributed random number in the closed interval `[min,max]` (including `min` and `max`).

  Overrides:
    `nextInt` in class `AbstractDistribution`

### nextIntFromTo

    public int nextIntFromTo(int from,
                             int to)

  Returns a uniformly distributed random number in the closed interval `[from,to]` (including `from` and `to`). Pre conditions: `from <= to`.

### nextLongFromTo

    public long nextLongFromTo(long from,
                               long to)

  Returns a uniformly distributed random number in the closed interval `[from,to]` (including `from` and `to`). Pre conditions: `from <= to`.

### pdf

    public double pdf(double x)

  Returns the probability distribution function (assuming a continous uniform distribution).

### setState

    public void setState(double min,
                         double max)

  Sets the internal state.

### staticNextBoolean

    public static boolean staticNextBoolean()

  Returns a uniformly distributed random `boolean`.

### staticNextDouble

    public static double staticNextDouble()

  Returns a uniformly distributed random number in the open interval `(0,1)` (excluding `0` and `1`).

### staticNextDoubleFromTo

    public static double staticNextDoubleFromTo(double from,
                                                double to)

  Returns a uniformly distributed random number in the open interval `(from,to)` (excluding `from` and `to`). Pre conditions: `from <= to`.

### staticNextFloatFromTo

    public static float staticNextFloatFromTo(float from,
                                              float to)

  Returns a uniformly distributed random number in the open interval `(from,to)` (excluding `from` and `to`). Pre conditions: `from <= to`.

### staticNextIntFromTo

    public static int staticNextIntFromTo(int from,
                                          int to)

  Returns a uniformly distributed random number in the closed interval `[from,to]` (including `from` and `to`). Pre conditions: `from <= to`.

### staticNextLongFromTo

    public static long staticNextLongFromTo(long from,
                                            long to)

  Returns a uniformly distributed random number in the closed interval `[from,to]` (including `from` and `to`). Pre conditions: `from <= to`.

### staticSetRandomEngine

    public static void staticSetRandomEngine(RandomEngine randomGenerator)

  Sets the uniform random number generation engine shared by all static methods.

  Parameters:
    `randomGenerator` - the new uniform random number generation engine to be shared.

### toString

    public String toString()

  Returns a String representation of the receiver.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage